<div *ngIf="pokemon">
<mat-card class="card-detail" >
    <mat-card-header>
      <div mat-card-avatar class="example-header-image"></div>
      <mat-card-title>{{pokemon.name}}</mat-card-title>
      <mat-card-subtitle>{{pokemon.species.name}}</mat-card-subtitle>
    </mat-card-header>
    <img width="100" [src]="pokemon.sprites.front_default" alt="Photo of a Shiba Inu">
    <mat-card-content>
        <mat-list>
            <h3 matLine> Abalities </h3>
            <mat-list-item *ngFor="let item of pokemon.abilities">
              <p matLine>
                <span> {{item.ability.name}} </span>
              </p>
            </mat-list-item>
          </mat-list>
    </mat-card-content>
  </mat-card>
</div>